Wallet Balances
curl --request GET \
--url https://api.example.com/merchant/wallet/balancesimport requests
url = "https://api.example.com/merchant/wallet/balances"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/merchant/wallet/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid API key"
},
"data": null
}
Wallet
Wallet Balances
Get wallet balances for all cryptocurrencies
GET
/
merchant
/
wallet
/
balances
Wallet Balances
Get current wallet balances for all supported cryptocurrencies.
boolean
Indicates if the request was successful
string
Bitcoin balance
string
Ethereum balance
string
Litecoin balance
string
Solana balance
Example Request
curl -X GET https://api.transaction.gg/merchant/wallet/balances \
-H "Authorization: Bearer sk_your_secret_key"
Example Response
{
"success": true,
"data": {
"BTC": "0.00123456",
"ETH": "0.123456789012345678",
"LTC": "0.12345678",
"SOL": "1.234567890123456789"
}
}
Error Responses
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid API key"
},
"data": null
}
⌘I